> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Payment Methods



## OpenAPI

````yaml /openapi.json get /customers/{customerId}/payment-methods
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /customers/{customerId}/payment-methods:
    get:
      tags:
        - customer
      summary: Get Customer Payment Methods
      operationId: CustomerController_getCustomerPaymentMethods
      parameters:
        - name: customerId
          required: true
          in: path
          description: The customer id
          schema:
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
        - name: simulatedAt
          required: false
          in: query
          description: 'Optional: the simulatedAt datetime'
          schema:
            type: string
        - name: branchId
          required: false
          in: query
          description: 'Optional: the branchId'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomerPaymentMethodsOutput'
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/CustomerNotFoundErrorDto'
              examples:
                CUSTOMER_NOT_FOUND:
                  $ref: '#/components/schemas/CustomerNotFoundErrorDto'
          description: ''
components:
  schemas:
    GetCustomerPaymentMethodsOutput:
      type: object
      properties:
        total:
          type: number
          description: 'Optional: Total number of payment methods'
        offset:
          type: number
          description: 'Optional: Number of payment methods the array has to star after'
        limit:
          type: number
          description: 'Optional: Number of payment methods in the array'
        data:
          description: Array of payment methods
          type: array
          items:
            $ref: '#/components/schemas/PaymentMethodDtoWithIsPreferred'
      required:
        - data
    CustomerNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - CUSTOMER_NOT_FOUND
        message:
          type: string
          example: Customer {customerId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/CustomerNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    PaymentMethodDtoWithIsPreferred:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        type:
          type: string
        id:
          type: string
          description: the id of the payment method
        status:
          type: string
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the stripe customer
        updatedAt:
          format: date-time
          type: string
          description: the date of creation of the stripe customer
        paymentMethodType:
          type: string
          description: the type of the payment method
          enum:
            - card
            - sepa_debit
        mandateDocumentId:
          type: string
          description: the document id of the mandate, if applicable
        last4:
          type: string
          description: the last 4 digits of the payment method, if applicable
        expirationMonth:
          type: number
          description: the expiration month of payment method, if applicable
        expirationYear:
          type: number
          description: the expiration year of payment method, if applicable
        billingDetails:
          description: the billing details of payment method, if applicable
          allOf:
            - $ref: '#/components/schemas/BillingDetails'
        isPreferred:
          type: boolean
          description: Is the preferred payment method
      required:
        - metadata
        - type
        - id
        - status
        - createdAt
        - updatedAt
        - paymentMethodType
        - isPreferred
    CustomerNotFoundDetailsDto:
      type: object
      properties:
        customerId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - customerId
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    BillingDetails:
      type: object
      properties:
        name:
          type: string
          description: the name of the billing details
        email:
          type: string
          description: the email of the billing details
        phone:
          type: string
          description: the phone of the billing details
        address:
          description: the address of the billing details
          allOf:
            - $ref: '#/components/schemas/BillingAddress'
      required:
        - name
        - email
        - phone
        - address
    BillingAddress:
      type: object
      properties:
        city:
          type: string
          description: the city of the billing address
        country:
          type: string
          description: the country of the billing address
        line1:
          type: string
          description: the line1 of the billing address
        line2:
          type: string
          description: the line2 of the billing address
        postalCode:
          type: string
          description: the postal code of the billing address
        state:
          type: string
          description: the state of the billing address
      required:
        - city
        - country
        - line1
        - line2
        - postalCode
        - state

````